kernel install failed /bin/cp: cannot stat ‘/boot/initrd.img-4.3.0-7-generic’: No such file or directory

Bug #1536810 reported by Scott Moser on 2016-01-21
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Andy Whitcroft

Bug Description

Hi, this failure for kernel package installation occured inside a maas image (lp:maas-images) build process.
The failure log ends like this:

Unpacking linux-generic (4.3.0.7.8) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up linux-image-4.3.0-7-generic (4.3.0-7.18) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
/bin/cp: cannot stat '/boot/initrd.img-4.3.0-7-generic': No such file or directory
Failed to copy /boot/initrd.img-4.3.0-7-generic to /boot/initrd.img at /var/lib/dpkg/info/linux-image-4.3.0-7-generic.postinst line 745.
dpkg: error processing package linux-image-4.3.0-7-generic (--configure):
 subprocess installed post-installation script returned error exit status 2
Setting up devio (1.2-1build2) ...
Setting up linux-base (4.0ubuntu1) ...
Setting up flash-kernel (3.0~rc.4ubuntu57) ...
Setting up linux-firmware (1.155) ...
dpkg: dependency problems prevent configuration of linux-image-generic:
 linux-image-generic depends on linux-image-4.3.0-7-generic; however:
  Package linux-image-4.3.0-7-generic is not configured yet.

dpkg: error processing package linux-image-generic (--configure):
 dependency problems - leaving unconfigured
Setting up linux-headers-4.3.0-7 (4.3.0-7.18) ...
Setting up linux-headers-4.3.0-7-generic (4.3.0-7.18) ...
Setting up linux-headers-generic (4.3.0.7.8) ...
dpkg: dependency problems prevent configuration of linux-generic:
 linux-generic depends on linux-image-generic (= 4.3.0.7.8); however:
  Package linux-image-generic is not configured yet.

dpkg: error processing package linux-generic (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because the error message indicates its a followup error from a previous failure.
Errors were encountered while processing:
 linux-image-4.3.0-7-generic
 linux-image-generic
 linux-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)
failed install of linux-generic
failed chroot and kernel install
failed
failed to get linux-generic output

Related bugs:
 * bug 1539157: Images built with "link_in_boot = yes" in /etc/kernel-img.conf end up with a broken /boot/initrd.img
 * bug 1536810 kernel install failed /bin/cp: cannot stat ‘/boot/initrd.img-4.3.0-7-generic’: No such file or directory

Scott Moser (smoser) wrote :
Scott Moser (smoser) wrote :

For full disclosure, this is in a "cross" build environment (qemu-static).
this works for other versions of ubuntu and has worked for xenial in the past.

the error messages seem to indicate 'update-initramfs' was deferred, but the the postinst tried to copy it into place even though it wasnt there. I am able to hack around this error by just touching the file /boot/initrd.img-4.3.0-7-generic before runnign the apt-get install.

Setting up linux-image-4.3.0-7-generic (4.3.0-7.18) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
/bin/cp: cannot stat '/boot/initrd.img-4.3.0-7-generic': No such file or directory
Failed to copy /boot/initrd.img-4.3.0-7-generic to /boot/initrd.img at /var/lib/dpkg/info/linux-image-4.3.0-7-generic.postinst line 745.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1536810

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Scott Moser (smoser) on 2016-01-22
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Andy Whitcroft (apw) wrote :

@smoser -- this occurs when initramfs-tools is unable to use symlinks to reference the initrd. It then thinks it should copy the newly built one to /initrd which it cannot do because it is not yet built. This should never occur because we always use symlinks unless some configuration is lost, check /etc/kernel.conf is correctly populated in the chroot.

Scott Moser (smoser) wrote :

what provides (or should create) /etc/kernel.conf ?

Scott Moser (smoser) wrote :
Scott Moser (smoser) wrote :

I've checked, and the file exists. the content is
# Kernel Image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
do_bootloader = no
link_in_boot = yes

Scott Moser (smoser) wrote :

For reference, show-kernel-img-conf.
this downloads cloud images and extracts the questioned file.
Note, there is a change in this file from wily to xenial, but the change is in place for all arch, and i'm only seeing these build failures in arm64 and armhf.

== wily armhf [wily-server-cloudimg-armhf.img]==
 === /etc/kernel-img.conf ===
 # Kernel Image management overrides
 # See kernel-img.conf(5) for details
 do_symlinks = Yes
 === /etc/cloud/build.info ===
 build_name: server
 serial: 20160123
== wily arm64 [wily-server-cloudimg-arm64.img]==
 === /etc/kernel-img.conf ===
 # Kernel Image management overrides
 # See kernel-img.conf(5) for details
 do_symlinks = Yes
 === /etc/cloud/build.info ===
 build_name: server
 serial: 20160123
== wily amd64 [wily-server-cloudimg-amd64.img]==
 === /etc/kernel-img.conf ===
 # Kernel Image management overrides
 # See kernel-img.conf(5) for details
 do_symlinks = Yes
 === /etc/cloud/build.info ===
 build_name: server
 serial: 20160123
== wily ppc64el [wily-server-cloudimg-ppc64el.img]==
 === /etc/kernel-img.conf ===
 # Kernel Image management overrides
 # See kernel-img.conf(5) for details
 do_symlinks = Yes
 === /etc/cloud/build.info ===
 build_name: server
 serial: 20160123
== xenial armhf [xenial-server-cloudimg-armhf.img]==
 === /etc/kernel-img.conf ===
 # Kernel Image management overrides
 # See kernel-img.conf(5) for details
 do_symlinks = yes
 do_bootloader = no
 link_in_boot = yes
 === /etc/cloud/build.info ===
 build_name: server
 serial: 20160125-134444
== xenial arm64 [xenial-server-cloudimg-arm64.img]==
 === /etc/kernel-img.conf ===
 # Kernel Image management overrides
 # See kernel-img.conf(5) for details
 do_symlinks = yes
 do_bootloader = no
 link_in_boot = yes
 === /etc/cloud/build.info ===
 build_name: server
 serial: 20160125-134444
== xenial amd64 [xenial-server-cloudimg-amd64.img]==
 === /etc/kernel-img.conf ===
 # Kernel Image management overrides
 # See kernel-img.conf(5) for details
 do_symlinks = yes
 do_bootloader = no
 === /etc/cloud/build.info ===
 build_name: server
 serial: 20160125-134444
== xenial ppc64el [xenial-server-cloudimg-ppc64el.img]==
 === /etc/kernel-img.conf ===
 # Kernel Image management overrides
 # See kernel-img.conf(5) for details
 do_symlinks = yes
 do_bootloader = no
 link_in_boot = yes
 === /etc/cloud/build.info ===
 build_name: server
 serial: 20160125-134444

Scott Moser (smoser) wrote :

Note, there are 2 changes fom wily to xenial in the content of that file:
 a.) for arches other than amd64, we gain the 'link_in_boot = yes'
 b.) there is a case change for the 'do_symlinks' setting from wily ('Yes') to xenial ('yes')

Scott Moser (smoser) wrote :

It seems to be 'a' that causes the failure.
If i remove 'link_in_boot' then it works.

I've committed a change to maas-iamges to work around this at least temporarily
 http://bazaar.launchpad.net/~maas-images-maintainers/maas-images/maas-ephemerals/revision/268

Scott Moser (smoser) wrote :

It'd be nice to track down why images have this change from wily in them, especially since it is not helpful.

Andy Whitcroft (apw) wrote :

@smoser -- the header in your files implies that the kernel at least created the configuration in the first instance:

        print CONF "# Kernel Image management overrides\n";
        print CONF "# See kernel-img.conf(5) for details\n";

Though it only appears to write two combinations:

      if (open(CONF, ">$CONF_LOC")) {
        print CONF "# Kernel Image management overrides\n";
        print CONF "# See kernel-img.conf(5) for details\n";
        if ($loader =~ /palo/i) {
          print CONF "link_in_boot = Yes\n";
          print CONF "do_symlinks = Yes\n";
          print CONF "relative_links = Yes\n";
          print CONF "do_bootloader = No\n";
        } else {
          print CONF "do_symlinks = $do_symlink\n";
        }
        close CONF;
      }

Scott Moser (smoser) wrote :

"the kernel at least created the configuration".

I don't know where the file came from, but that is the file that is in official ubuntu cloud images, built by livefs.

Scott Moser (smoser) wrote :

We really need to understand what is creating this file because apparently in live build, its not the installation of a kernel.

It looks like this file is created by live-build/scripts/build/lb_chroot_linux-image:

 cat > chroot/etc/kernel-img.conf << EOF
# Kernel Image management overrides
# See kernel-img.conf(5) for details
do_symlinks = yes
do_bootloader = no
EOF

 case "${LB_ARCHITECTURES}" in
  alpha|amd64|hppa|i386|ia64|m68k|mips|mipsel)
   ;;

  *)
   cat >> chroot/etc/kernel-img.conf << EOF
link_in_boot = yes
EOF
   ;;
 esac

Dimitri John Ledkov (xnox) wrote :

link_in_boot is required as yes for s390x, and currently it seems like cloud-image generation is broken for s390x.

Manually, upgrading from an older cloudimage (3.3 -6- version) I had to do a small dpkg remove surgery to drop all the packages, and reinstall new metapackages.

What I found interesting, was that after "update-initramfs -u" call by kernel maintainer scripts, instead of actually generating the initramfs, it was "deffered for later by a trigger" which is not what kernel wants to do, given that it hopes to operate on the resultant files straight after (changing symlinks).

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: s390x
Scott Moser (smoser) on 2016-01-28
description: updated
Dimitri John Ledkov (xnox) wrote :

Hm, i don't think update-initramfs does the right thing:

linux-image-*)
        if [ -z "$INITRAMFS_TOOLS_KERNEL_HOOK" ]; then
                # kernel maintainer script called us directly; ignore
                # it and let the hook script handle it instead
                echo "update-initramfs: deferring update (hook will be called later)"
                exit 0
        fi
        ;;

it seems like a special variable needs to be set, to actually make initramfs create things.

Dimitri John Ledkov (xnox) wrote :

Unpacking linux-generic (4.3.0.7.8) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up linux-image-4.3.0-7-generic (4.3.0-7.18) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
/bin/cp: cannot stat '/boot/initrd.img-4.3.0-7-generic': No such file or directory
Failed to copy /boot/initrd.img-4.3.0-7-generic to /boot/initrd.img at /var/lib/dpkg/info/linux-image-4.3.0-7-generic.postinst line 745.

Implies that, update-initramfs was called, yet it decided to defer.
No initrds created.
None possible to copy.
Boom.

Dimitri John Ledkov (xnox) wrote :
Dimitri John Ledkov (xnox) wrote :
Download full text (3.6 KiB)

Looking at the postinst script, it calls update-initramfs -u and expects it to do somethin, i.e. create the initramfs.

However, it can choose to not do so, and deffer the update. And thus not create an initramfs. However, when we are upgrading to a new kernel image, we expect to generate an initramfs cause we will be fixing symlinks and so on right after.

I have linux-image-4.3.0-6.17 installed, via linux-virtual metapackage on an old cloud image (see my private fileshare). And upgrading that to xenial/release 4.3.0-7.18 fails like so:

ubuntu@ubuntu:~$ dpkg -l | grep linux
ii console-setup-linux 1.108ubuntu10 all Linux specific part of console-setup
ii libselinux1:s390x 2.4-3 s390x SELinux runtime shared libraries
ii linux-headers-4.3.0-6 4.3.0-6.17 all Header files related to Linux kernel version 4.3.0
ii linux-headers-4.3.0-6-generic 4.3.0-6.17 s390x Linux kernel headers for version 4.3.0 on System 390x SMP
ii linux-headers-generic 4.3.0.6.7 s390x Generic Linux kernel headers
ii linux-headers-virtual 4.3.0.6.7 s390x Transitional package.
ii linux-image-4.3.0-6-generic 4.3.0-6.17 s390x Linux kernel image for version 4.3.0 on System 390x SMP
ii linux-image-virtual 4.3.0.6.7 s390x This package will always depend on the latest minimal generic kernel image.
ii linux-virtual 4.3.0.6.7 s390x Minimal Generic Linux kernel and headers
ii util-linux 2.27.1-1ubuntu3 s390x Miscellaneous system utilities
ubuntu@ubuntu:~$

# upgrading to release (to 4.3.0-7.18)

...

Setting up linux-image-4.3.0-7-generic (4.3.0-7.18) ...
Progress: [ 76%] [#############################################.............]
update-initramfs: deferring update (hook will be called later)
cp: cannot stat ‘/boot/initrd.img-4.3.0-7-generic’: No such file or directory
Failed to copy /boot/initrd.img-4.3.0-7-generic to /boot/initrd.img at /var/lib/dpkg/info/linux-imageProgress: [ 77%] [#############################################.............]
dpkg: error processing package linux-image-4.3.0-7-generic (--configure):
 subprocess installed post-installation script returned error exit status 1

...

dpkg: dependency problems prevent configuration of linux-image-virtual:
 linux-image-virtual depends on linux-image-4.3.0-7-generic; however:
   Package linux-image-4.3.0-7-generic is not configured yet.

dpkg: error processing package linux-image-virtual (--configure):
 dependency problems - leaving unconfigured
 Setting up linux-headers-generic (4.3.0.7.8) ...No apport report written because the error message indicates its a followup error from a previous failure.

Setting up linux-headers-virtual (4.3.0.7.8) ...
dpkg: dependency problems prevent configuration of linux-virtual:
 linux-virtual depends ...

Read more...

tags: added: patch
Dimitri John Ledkov (xnox) wrote :

however, as per irc, that will kill the benefit of deffered initramfs generation.

Identified to cherrypick

https://anonscm.debian.org/cgit/kernel/linux.git/commit/?id=373d086904305699561b1eb505c33b010c24de9b

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=738707

Andy Whitcroft (apw) wrote :

I have applied the intent of that fix to our postinst and uploaded an s390x only kernel to ppa:canonical-kernel-team/ubuntu/unstable. If someone could test that all the better.

Andy Whitcroft (apw) wrote :

@xnox says this fixes things for him, so applied to xenial for the next upload.

Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (4.0 KiB)

This bug was fixed in the package linux - 4.4.0-4.19

---------------
linux (4.4.0-4.19) xenial; urgency=low

  * update ZFS and SPL to 0.6.5.4 (LP: #1542296)
    - [Config] update spl/zfs version
    - SAUCE: (noup) Update spl to 0.6.5.4-0ubuntu2, zfs to 0.6.5.4-0ubuntu1
    - [Config] reconstruct -- drop links for zfs userspace components
    - [Config] reconstruct -- drop links for zfs userspace components -- restore spec links

  * recvmsg() fails SCM_CREDENTIALS request with EOPNOTSUPP. (LP: #1540731)
    - Revert "af_unix: Revert 'lock_interruptible' in stream receive code"

  * lxc: ADT exercise test failing with linux-4.4.0-3.17 (LP: #1542049)
    - Revert "UBUNTU: SAUCE: apparmor: fix sleep from invalid context"

  * WARNING: at /build/linux-lts-wily-W0lTWH/linux-lts-wily-4.2.0/net/core/skbuff.c:4174 (Travis IB) (LP: #1541326)
    - SAUCE: IB/IPoIB: Do not set skb truesize since using one linearskb

  * backport Microsoft Precision Touchpad palm rejection patch (LP: #1541671)
    - HID: multitouch: enable palm rejection if device implements confidence usage

  * [Ubuntu 16.04] Update qla2xxx driver for POWER (QLogic) (LP: #1541456)
    - qla2xxx: Remove unavailable firmware files
    - qla2xxx: Enable Extended Logins support
    - qla2xxx: Enable Exchange offload support.
    - qla2xxx: Enable Target counters in DebugFS.
    - qla2xxx: Add FW resource count in DebugFS.
    - qla2xxx: Added interface to send explicit LOGO.
    - qla2xxx: Delete session if initiator is gone from FW
    - qla2xxx: Wait for all conflicts before ack'ing PLOGI
    - qla2xxx: Replace QLA_TGT_STATE_ABORTED with a bit.
    - qla2xxx: Remove dependency on hardware_lock to reduce lock contention.
    - qla2xxx: Add irq affinity notification
    - qla2xxx: Add selective command queuing
    - qla2xxx: Move atioq to a different lock to reduce lock contention
    - qla2xxx: Disable ZIO at start time.
    - qla2xxx: Set all queues to 4k
    - qla2xxx: Check for online flag instead of active reset when transmitting responses
    - scsi: qla2xxxx: avoid type mismatch in comparison

  * [Hyper-V] PCI Passthrough (LP: #1541120)
    - x86/irq: Export functions to allow MSI domains in modules
    - genirq/msi: Export functions to allow MSI domains in modules

  * Update lpfc driver to 11.0.0.10 (LP: #1541592)
    - lpfc: Fix FCF Infinite loop in lpfc_sli4_fcf_rr_next_index_get.
    - lpfc: Fix the FLOGI discovery logic to comply with T11 standards
    - lpfc: Fix RegLogin failed error seen on Lancer FC during port bounce
    - lpfc: Fix driver crash when module parameter lpfc_fcp_io_channel set to 16
    - lpfc: Fix crash in fcp command completion path.
    - lpfc: Modularize and cleanup FDMI code in driver
    - lpfc: Fix RDP Speed reporting.
    - lpfc: Fix RDP ACC being too long.
    - lpfc: Make write check error processing more resilient
    - lpfc: Use new FDMI speed definitions for 10G, 25G and 40G FCoE.
    - lpfc: Fix mbox reuse in PLOGI completion
    - lpfc: Fix external loopback failure.
    - lpfc: Add logging for misconfigured optics.
    - lpfc: Delete unnecessary checks before the function call "mempool_destroy"
    - lpfc: Use kzalloc instead of kmalloc
...

Read more...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Scott Moser (smoser) wrote :

This really never got fixed to my knowledge.
https://pastebin.canonical.com/150018/ shows the general failure occuring on arm64.

Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Andy Whitcroft (apw) on 2016-02-17
Changed in linux (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Andy Whitcroft (apw)
Scott Moser (smoser) wrote :

Reproduce for this issue is as simple as downloading -root.tar.xz (or -root.tar.gz) from http://cloud-images.ubuntu.com/daily/server/xenial , then extracting it, chrooting and apt-get installing a kernel.

I believe that amd64 works fine, so to see failure you have to either use qemu-user-static or actually run on the correct arch.

# if running non-native arch, use qemu-user-static
sudo apt-get install -qy qemu-user-static
wget http://cloud-images.ubuntu.com/daily/server/xenial/current/xenial-server-cloudimg-arm64-root.tar.xz

exdir=$(mktemp -d)
mkdir "$exdir"
sudo tar -C "$exdir" -xSpf xenial-server-cloudimg-arm64-root.tar.xz

# fix resolv.conf for dns to your local system's settings
sudo mv "$exdir/etc/resolv.conf" "${exdir}/etc/resolv.conf.dist"
sudo cp /etc/resolv.conf "$exdir/etc/resolv.conf"

# if cross, patch in qemu-user-static
sudo cp /usr/bin/qemu-aarch64-static "$exdir/usr/bin/"
sudo chroot "$exdir" sh -exc 'apt-get update && apt-get install -qy linux-generic'
...
Unpacking linux-generic (4.4.0.4.3) ...
Setting up linux-image-4.4.0-4-generic (4.4.0-4.19) ...
Running depmod.
update-initramfs: deferring update (hook will be called later)
/bin/cp: cannot stat ‘/boot/initrd.img-4.4.0-4-generic’: No such file or directory
Failed to copy /boot/initrd.img-4.4.0-4-generic to /boot/initrd.img at /var/lib/dpkg/info/linux-image-4.4.0-4-generic.postinst line 745.
dpkg: error processing package linux-image-4.4.0-4-generic (--configure):
 subprocess installed post-installation script returned error exit status 2

Launchpad Janitor (janitor) wrote :
Download full text (10.1 KiB)

This bug was fixed in the package linux - 4.4.0-8.23

---------------
linux (4.4.0-8.23) xenial; urgency=low

  * cgroup namespace mounts broken in containers (LP: #1549398)
    - SAUCE: kernfs: Always set super block owner to init_user_ns

  * 4.4.0-7.22 no longer boots on arm64 (LP: #1547718)
    - arm64: mm: avoid calling apply_to_page_range on empty range
    - UBUNTU SAUCE: arm: mm: avoid calling apply_to_page_range on empty range

  * kernel install failed /bin/cp: cannot stat ‘/boot/initrd.img-4.3.0-7-generic’: No such file or directory (LP: #1536810)
    - [Config] postinst -- handle recreating symlinks when a real file is present

  * insecure overlayfs xattrs handling in copy_up (LP: #1534961)
    - SAUCE: cred: Add clone_cred() interface
    - SAUCE: overlayfs: Use mounter's credentials instead of selectively raising caps
    - SAUCE: overlayfs: Skip permission checking for trusted.overlayfs.* xattrs
    - SAUCE: overlayfs: Be more careful about copying up sxid files
    - SAUCE: overlayfs: Propogate nosuid from lower and upper mounts

  * overlayfs over fuse should refuse copy_up of files if uid/gid not mapped (LP: #1535150)
    - SAUCE: cred: Add clone_cred() interface
    - SAUCE: overlayfs: Use mounter's credentials instead of selectively raising caps
    - SAUCE: overlayfs: Skip permission checking for trusted.overlayfs.* xattrs
    - SAUCE: overlayfs: Be more careful about copying up sxid files
    - SAUCE: overlayfs: Propogate nosuid from lower and upper mounts

  * overlay: mkdir fails if directory exists in lowerdir in a user namespace (LP: #1531747)
    - SAUCE: cred: Add clone_cred() interface
    - SAUCE: overlayfs: Use mounter's credentials instead of selectively raising caps
    - SAUCE: overlayfs: Skip permission checking for trusted.overlayfs.* xattrs

  * Update Intel ethernet drivers to Fortville SW5 (LP: #1547674)
    - net: bulk free infrastructure for NAPI context, use napi_consume_skb
    - net: Add eth_platform_get_mac_address() helper.
    - i40e: Add mac_filter_element at the end of the list instead of HEAD
    - i40e/i40evf: Fix RSS rx-flow-hash configuration through ethtool
    - i40e: Replace X722 mac check in ethtool get_settings
    - i40evf: allow channel bonding of VFs
    - i40e: define function capabilities in only one place
    - i40evf: null out ring pointers on free
    - i40e: Cleanup the code with respect to restarting autoneg
    - i40e: update features with right offload
    - i40e: bump version to 1.4.10
    - i40e: add new device IDs for X722
    - i40e: Extend ethtool RSS hooks for X722
    - i40e/i40evf: Fix for UDP/TCP RSS for X722
    - i40evf: add new write-back mode
    - i40e/i40evf: Use private workqueue
    - i40e: add new proxy-wol bit for X722
    - i40e: Limit DCB FW version checks to X710/XL710 devices
    - i40e: AQ Add Run PHY Activity struct
    - i40e: AQ Geneve cloud tunnel type
    - i40e: AQ Add external power class to get link status
    - i40e: add 100Mb ethtool reporting
    - ixgbe: bulk free SKBs during TX completion cleanup cycle
    - igb: Remove unnecessary flag setting in igb_set_flag_queue_pairs()
    - igb: Unpair the queues when changing the number of queues...

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Scott Moser (smoser) wrote :

Verified fixed in arm64 image for 20160227.
I noticed it does still have the bogus 'initrd.img file:
$ ls -l $exdir/boot
total 20592
drwxr-xr-x 2 root root 4096 Feb 27 14:36 grub
-rw-r--r-- 1 root root 21079648 Feb 27 14:38 initrd.img

But the initrd.img file does not seem to cause a problem here, and after install we have a symlink to the proper place.
$ ls -l $exdir/boot/initrd.img
lrwxrwxrwx 1 root root 26 Mar 1 15:13 /tmp/tmp.RGUZJZwhWr/boot/initrd.img -> initrd.img-4.4.0-8-generic

I've reverted my workaround change in maas-images at revno 284.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.